TablePropertyTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.TablePropertyTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class TablePropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.hyperic.hq.ui.taglib.display.TemplateTag
                  org.hyperic.hq.ui.taglib.display.TablePropertyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  TableTag

    public class TablePropertyTag

extends TemplateTag

Bean properties for TableTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TablePropertyTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getBackground()`
`java.lang.String` | `getBgcolor()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getCellpadding()`
`java.lang.String` | `getCellspacing()`
`java.lang.String` | `getDecorator()`
`java.lang.String` | `getDisplay()`
`java.lang.String` | `getEmptyMsg()`
`java.lang.String` | `getExport()`
`java.lang.String` | `getFrame()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`boolean` | `getIncludeTotals()` Getter for property includeTotals.
`java.util.List` | `getItems()`
`java.lang.Integer` | `getLength()`
`java.lang.String` | `getNowrapHeader()`
`java.lang.Integer` | `getOffset()`
`java.lang.String` | `getOrder()`
`java.lang.String` | `getOrderValue()` Getter for property orderValue.
`java.lang.Integer` | `getPage()`
`java.lang.Integer` | `getPageSize()`
`java.lang.String` | `getPageSizeValue()` Getter for property pageSizeValue.
`java.lang.String` | `getPageValue()` Getter for property pageValue.
`java.lang.String` | `getParamId()`
`java.lang.String` | `getParamName()`
`java.lang.String` | `getParamProperty()`
`java.lang.String` | `getParamScope()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getRules()`
`java.lang.String` | `getScope()`
`java.lang.Integer` | `getSort()`
`java.lang.String` | `getSortValue()` Getter for property sortValue.
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getStyleId()`
`java.lang.String` | `getSummary()`
`java.lang.String` | `getVar()` getter for var.
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`boolean` | `isLeftSidebar()`
`boolean` | `isPadRows()`
`boolean` | `isRightSidebar()`
`void` | `setAction(java.lang.String action)`
`void` | `setAlign(java.lang.String v)`
`void` | `setBackground(java.lang.String v)`
`void` | `setBgcolor(java.lang.String v)`
`void` | `setBorder(java.lang.String v)`
`void` | `setCellpadding(java.lang.String v)`
`void` | `setCellspacing(java.lang.String v)`
`void` | `setDecorator(java.lang.String v)`
`void` | `setDisplay(java.lang.String display)`
`void` | `setEmptyMsg(java.lang.String emptyMsg)`
`void` | `setExport(java.lang.String v)`
`void` | `setFrame(java.lang.String v)`
`void` | `setHeight(java.lang.String v)`
`void` | `setHspace(java.lang.String v)`
`void` | `setIncludeTotals(boolean includeTotals)`
`void` | `setItems(java.util.List v)`
`void` | `setLeftSidebar(boolean leftSidebar)`
`void` | `setLength(java.lang.Integer v)`
`void` | `setNowrapHeader(java.lang.String v)`
`void` | `setOffset(java.lang.Integer v)`
`void` | `setOrder(java.lang.String v)`
`void` | `setOrderValue(java.lang.String orderValue)` Setter for property orderValue.
`void` | `setPadRows(boolean padRows)`
`void` | `setPage(java.lang.Integer v)`
`void` | `setPageSize(java.lang.Integer v)`
`void` | `setPageSizeValue(java.lang.String pageSizeValue)` Setter for property pageSizeValue.
`void` | `setPageValue(java.lang.String pageValue)` Setter for property pageValue.
`void` | `setParamId(java.lang.String v)`
`void` | `setParamName(java.lang.String v)`
`void` | `setParamProperty(java.lang.String v)`
`void` | `setParamScope(java.lang.String v)`
`void` | `setProperty(java.lang.String v)`
`void` | `setRightSidebar(boolean rightSidebar)`
`void` | `setRules(java.lang.String v)`
`void` | `setScope(java.lang.String v)`
`void` | `setSort(java.lang.Integer v)`
`void` | `setSortValue(java.lang.String sortValue)` Setter for property sortValue.
`void` | `setStyleClass(java.lang.String v)`
`void` | `setStyleId(java.lang.String v)`
`void` | `setSummary(java.lang.String v)`
`void` | `setVar(java.lang.String var)` setter for var.
`void` | `setVspace(java.lang.String v)`
`void` | `setWidth(java.lang.String v)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.TemplateTag
`write, write`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TablePropertyTag

    public TablePropertyTag()

Method Detail

### getIncludeTotals

    public boolean getIncludeTotals()

  Getter for property includeTotals.

  Returns:
    Value of property includeTotals.

### setIncludeTotals

    public void setIncludeTotals(boolean includeTotals)

### setPadRows

    public void setPadRows(boolean padRows)

### isPadRows

    public boolean isPadRows()

### setEmptyMsg

    public void setEmptyMsg(java.lang.String emptyMsg)

### getEmptyMsg

    public java.lang.String getEmptyMsg()

### setRightSidebar

    public void setRightSidebar(boolean rightSidebar)

### isRightSidebar

    public boolean isRightSidebar()

### setLeftSidebar

    public void setLeftSidebar(boolean leftSidebar)

### isLeftSidebar

    public boolean isLeftSidebar()

### getVar

    public java.lang.String getVar()

  getter for var. var is a value that points to the current data cell in the page scope, very jstl-esque.

### setVar

    public void setVar(java.lang.String var)

  setter for var. var is a value that points to the curent data cell in the page scope, very jstl-esque.

### setParamId

    public void setParamId(java.lang.String v)

### setParamName

    public void setParamName(java.lang.String v)

### setParamProperty

    public void setParamProperty(java.lang.String v)

### setParamScope

    public void setParamScope(java.lang.String v)

### getParamId

    public java.lang.String getParamId()

### getParamName

    public java.lang.String getParamName()

### getParamProperty

    public java.lang.String getParamProperty()

### getParamScope

    public java.lang.String getParamScope()

### setPage

    public void setPage(java.lang.Integer v)

### setPageSize

    public void setPageSize(java.lang.Integer v)

### setOrder

    public void setOrder(java.lang.String v)

### setSort

    public void setSort(java.lang.Integer v)

### getPage

    public java.lang.Integer getPage()

### getPageSize

    public java.lang.Integer getPageSize()

### getOrder

    public java.lang.String getOrder()

### getSort

    public java.lang.Integer getSort()

### getPageValue

    public java.lang.String getPageValue()

  Getter for property pageValue.

  Returns:
    Value of property pageValue.

### setPageValue

    public void setPageValue(java.lang.String pageValue)

  Setter for property pageValue.

  Parameters:
    `pageValue` - New value of property pageValue.

### getOrderValue

    public java.lang.String getOrderValue()

  Getter for property orderValue.

  Returns:
    Value of property orderValue.

### setOrderValue

    public void setOrderValue(java.lang.String orderValue)

  Setter for property orderValue.

  Parameters:
    `orderValue` - New value of property orderValue.

### getSortValue

    public java.lang.String getSortValue()

  Getter for property sortValue.

  Returns:
    Value of property sortValue.

### setSortValue

    public void setSortValue(java.lang.String sortValue)

  Setter for property sortValue.

  Parameters:
    `sortValue` - New value of property sortValue.

### getPageSizeValue

    public java.lang.String getPageSizeValue()

  Getter for property pageSizeValue.

  Returns:
    Value of property pageSizeValue.

### setPageSizeValue

    public void setPageSizeValue(java.lang.String pageSizeValue)

  Setter for property pageSizeValue.

  Parameters:
    `pageSizeValue` - New value of property pageSizeValue.

### setItems

    public void setItems(java.util.List v)

### setProperty

    public void setProperty(java.lang.String v)

### setLength

    public void setLength(java.lang.Integer v)

### setOffset

    public void setOffset(java.lang.Integer v)

### setScope

    public void setScope(java.lang.String v)

### setDecorator

    public void setDecorator(java.lang.String v)

### setExport

    public void setExport(java.lang.String v)

### setWidth

    public void setWidth(java.lang.String v)

### setBorder

    public void setBorder(java.lang.String v)

### setCellspacing

    public void setCellspacing(java.lang.String v)

### setCellpadding

    public void setCellpadding(java.lang.String v)

### setAlign

    public void setAlign(java.lang.String v)

### setNowrapHeader

    public void setNowrapHeader(java.lang.String v)

### setBackground

    public void setBackground(java.lang.String v)

### setBgcolor

    public void setBgcolor(java.lang.String v)

### setFrame

    public void setFrame(java.lang.String v)

### setHeight

    public void setHeight(java.lang.String v)

### setHspace

    public void setHspace(java.lang.String v)

### setRules

    public void setRules(java.lang.String v)

### setSummary

    public void setSummary(java.lang.String v)

### setVspace

    public void setVspace(java.lang.String v)

### setStyleClass

    public void setStyleClass(java.lang.String v)

### setStyleId

    public void setStyleId(java.lang.String v)

### setDisplay

    public void setDisplay(java.lang.String display)

### getItems

    public java.util.List getItems()

### getProperty

    public java.lang.String getProperty()

### getLength

    public java.lang.Integer getLength()

### getOffset

    public java.lang.Integer getOffset()

### getScope

    public java.lang.String getScope()

### getDecorator

    public java.lang.String getDecorator()

### getExport

    public java.lang.String getExport()

### getWidth

    public java.lang.String getWidth()

### getBorder

    public java.lang.String getBorder()

### getCellspacing

    public java.lang.String getCellspacing()

### getCellpadding

    public java.lang.String getCellpadding()

### getAlign

    public java.lang.String getAlign()

### getNowrapHeader

    public java.lang.String getNowrapHeader()

### getBackground

    public java.lang.String getBackground()

### getBgcolor

    public java.lang.String getBgcolor()

### getFrame

    public java.lang.String getFrame()

### getHeight

    public java.lang.String getHeight()

### getHspace

    public java.lang.String getHspace()

### getRules

    public java.lang.String getRules()

### getSummary

    public java.lang.String getSummary()

### getVspace

    public java.lang.String getVspace()

### getStyleClass

    public java.lang.String getStyleClass()

### getStyleId

    public java.lang.String getStyleId()

### getDisplay

    public java.lang.String getDisplay()

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.